Package org.springframework.transaction.config

# Class TxNamespaceHandler

java.lang.Object
org.springframework.beans.factory.xml.NamespaceHandlerSupport
org.springframework.transaction.config.TxNamespaceHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.NamespaceHandler`

public class TxNamespaceHandler extends org.springframework.beans.factory.xml.NamespaceHandlerSupport
`NamespaceHandler` allowing for the configuration of declarative transaction management using either XML or using annotations.

This namespace handler is the central piece of functionality in the Spring transaction management facilities and offers two approaches to declaratively manage transactions.

One approach uses transaction semantics defined in XML using the `<tx:advice>` elements, the other uses annotations in combination with the `<tx:annotation-driven>` element. Both approached are detailed to great extent in the Spring reference manual.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`TxNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TxNamespaceHandler

public TxNamespaceHandler()

## Method Details

### init

public void init()